package cn.fw.dalaran.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.dalaran.domain.enums.AccountStatusEnum;
import cn.fw.dalaran.domain.enums.PlatformEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString(callSuper = true)
public class Account extends BaseAuditableTimeEntity<Account, Long> {
    /**
     * 账号
     */
    private String account;
    /**
     * 账号名
     */
    private String accountName;
    /**
     * 回播搜索关键词
     */
    private String playbackSearchKey;
    /**
     * 平台类型
     */
    private PlatformEnum type;
    /**
     * 账号类型(0:个人账号, 1:门店账号)
     */
    private Integer accountType;
    /**
     * 账号状态(-1:已离职, 0:未上班, 1:上班中)
     */
    private AccountStatusEnum accountStatus;
    /**
     * 是否有效
     */
    private Boolean valid;
    /**
     * 是否已通过认证
     */
    private Boolean affirm;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 粉丝数
     */
    private Long fansNum;
    /**
     * 人员离职时间
     */
    private Date leaveTime;
    /**
     * 逻辑删除字段
     */
    @TableLogic(value = "1", delval = "0")
    private Boolean yn;
}
