package cn.fw.dalaran.domain.param;

import cn.fw.dalaran.domain.vo.FileDesc;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/6/8 10:40
 * @Description 保存审核结果参数封装
 */
@Data
public class LiveCheckParams {
    /**
     * 保存类型(0:草稿, 1:最终结果)
     */
    private Integer type;
    /**
     * 主题id
     */
    private Long dataId;
    /**
     * 审计结果封装
     */
    private CheckResult checkResult;

    @Data
    @Valid
    public static class CheckResult {
        /**
         * 主键id
         */
        @NotNull(message = "数据主键id不能为空")
        private Long id;
        /**
         * 是否空挂(-1:未选择, 0:否, 1:是)
         */
        private Integer counterfeit;
        /**
         * 是否付费(0:否, 1:是)
         */
        private Integer pay;
        /**
         * 审查意见
         */
        private String opinion;
        /**
         * 封面图文件信息
         */
        private List<FileDesc> allFileDesc;
    }
}
