package cn.fw.dalaran.domain.vo;

import cn.fw.dalaran.domain.enums.PlatformEnum;
import lombok.Data;

import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/1/20 9:10
 * @Description 账号状态详情
 */
@Data
public class AccountStatusVo {
    /**
     * 每个门店账号详情列表
     */
    private List<ShopDetails> shopDetailsList;

    /**
     * 单个门店账号详情
     */
    @Data
    public static class ShopDetails {
        /**
         * 门店id
         */
        private Long shopId;
        /**
         * 门店名
         */
        private String shopName;
        /**
         * 销售顾问数
         */
        private Integer advisorCnt = 0;
        /**
         * 平台账号详情列表
         */
        private List<PlatformDetails> platformDetailsList;
    }

    /**
     * 平台账号详情
     */
    @Data
    public static class PlatformDetails {
        /**
         * 平台类型
         */
        private PlatformEnum platform;
        /**
         * 平台类型名称
         */
        private String platformName;
        /**
         * 已登录账号数
         */
        private Integer hasLoginCnt = 0;
        /**
         * 失效账号数
         */
        private Integer hasExpireCnt = 0;
    }
}
