package cn.fw.dalaran.domain.vo;

import cn.fw.dalaran.domain.db.config.ValidConfigNew;
import lombok.Data;
import org.springframework.beans.BeanUtils;

import javax.validation.constraints.NotEmpty;
import java.util.ArrayList;
import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/2/15 14:17
 * @Description
 */
@Data
public class ValidConfigNewVo {
    /**
     * 配置列表详情
     */
    @NotEmpty(message = "配置列表详情不能为空")
    private List<singleVo> details = new ArrayList<>();

    @Data
    public static class singleVo {
        /**
         * 主键id
         */
        private Long id;

        /**
         * 所属配置组id
         */
        private Long configGroupId;

        /**
         * 集团id
         */
        private Long groupId;

        /**
         * 指标类型(1:直播, 2:视频, 3:过滤话题)
         */
        private Integer type;

        /**
         * 指标类型
         */
        private Integer indexType;

        /**
         * 指标类型名称
         */
        private String indexTypeName;

        /**
         * 最小值
         */
        private Integer minValue;

        /**
         * 是否有效
         */
        private Integer valid;
    }

    /**
     * vo->db
     *
     * @return 将视图传参转换成DB
     */
    public static ValidConfigNew toDB(singleVo vo) {
        final ValidConfigNew validConfigNew = new ValidConfigNew();
        BeanUtils.copyProperties(vo, validConfigNew);
        return validConfigNew;
    }
}
